<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>decodebase &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>decodebase
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.4% of total for procedures.">70 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">decodebase</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function decodebase(string, basein, out10)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>decodebase(3f) - [M_strings:BASE] convert whole number string in base [2-36] to base 10 number
</code></pre></div>

<h2>SYNOPSIS</h2>
<p>logical function decodebase(string,basein,out10)</p>
<div class="codehilite"><pre><span></span><code>character(len=*),intent(in)  :: string
integer,intent(in)           :: basein
integer,intent(out)          :: out10
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">Convert</span> <span class="nv">a</span> <span class="nv">numeric</span> <span class="nv">string</span> <span class="nv">representing</span> <span class="nv">a</span> <span class="nv">whole</span> <span class="nv">number</span> <span class="nv">in</span> <span class="nv">base</span> <span class="nv">BASEIN</span> <span class="nv">to</span> <span class="nv">base</span> <span class="mi">10</span>. <span class="nv">The</span> <span class="nv">function</span> <span class="nv">returns</span>
<span class="nv">FALSE</span> <span class="k">if</span> <span class="nv">BASEIN</span> <span class="nv">is</span> <span class="nv">not</span> <span class="nv">in</span> <span class="nv">the</span> <span class="nv">range</span> [<span class="mi">2</span>..<span class="mi">36</span>] <span class="nv">or</span> <span class="k">if</span> <span class="nv">string</span> <span class="nv">STRING</span> <span class="nv">contains</span> <span class="nv">invalid</span>
<span class="nv">characters</span> <span class="nv">in</span> <span class="nv">base</span> <span class="nv">BASEIN</span> <span class="nv">or</span> <span class="k">if</span> <span class="nb">result</span> <span class="nv">OUT10</span> <span class="nv">is</span> <span class="nv">too</span> <span class="nv">big</span>

<span class="nv">The</span> <span class="nv">letters</span> <span class="nv">A</span>,<span class="nv">B</span>,...,<span class="nv">Z</span> <span class="nv">represent</span> <span class="mi">10</span>,<span class="mi">11</span>,...,<span class="mi">36</span> <span class="nv">in</span> <span class="nv">the</span> <span class="nv">base</span> <span class="o">&gt;</span> <span class="mi">10</span>.

   <span class="nv">Ref</span>.: <span class="s2">&quot;</span><span class="s">Math matiques en Turbo-Pascal by</span>
          <span class="nv">M</span>. <span class="nv">Ducamp</span> <span class="nv">and</span> <span class="nv">A</span>. <span class="nv">Reverchon</span> <span class="ss">(</span><span class="mi">2</span><span class="ss">)</span>,
          <span class="nv">Eyrolles</span>, <span class="nv">Paris</span>, <span class="mi">1988</span><span class="s2">&quot;</span><span class="s">.</span>

<span class="nv">based</span> <span class="nv">on</span> <span class="nv">a</span> <span class="nv">F90</span> <span class="nv">Version</span> <span class="nv">By</span> <span class="nv">J</span><span class="o">-</span><span class="nv">P</span> <span class="nv">Moreau</span> <span class="ss">(</span><span class="nv">www</span>.<span class="nv">jpmoreau</span>.<span class="nv">fr</span><span class="ss">)</span>
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code>string   input string. It represents a whole number in
         the base specified by BASEIN unless BASEIN is set
         to zero. When BASEIN is zero STRING is assumed to
         be of the form BASE#VALUE where BASE represents
         the function normally provided by BASEIN.
basein   base of input string either 0 or from 2 to 36.
out10    output value in base 10
</code></pre></div>

<h2>EXAMPLE</h2>
<p>Sample program:</p>
<div class="codehilite"><pre><span></span><code><span class="nt">program</span> <span class="nt">demo_decodebase</span>
<span class="nt">use</span> <span class="nt">M_strings</span><span class="o">,</span> <span class="nt">only</span> <span class="o">:</span> <span class="nt">codebase</span><span class="o">,</span> <span class="nt">decodebase</span>
<span class="nt">implicit</span> <span class="nt">none</span>
<span class="nt">integer</span>           <span class="o">::</span> <span class="nt">ba</span><span class="o">,</span><span class="nt">bd</span>
<span class="nt">character</span><span class="o">(</span><span class="nt">len</span><span class="o">=</span><span class="nt">40</span><span class="o">)</span> <span class="o">::</span> <span class="nt">x</span><span class="o">,</span><span class="nt">y</span>
<span class="nt">integer</span>           <span class="o">::</span> <span class="nt">r</span>

<span class="nt">print</span> <span class="o">*,</span><span class="s1">&#39; BASE CONVERSION&#39;</span>
<span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(&quot;Start   Base (2 to 36): &quot;)&#39;</span><span class="o">,</span><span class="nt">advance</span><span class="o">=</span><span class="s1">&#39;no&#39;</span><span class="o">);</span> <span class="nt">read</span> <span class="o">*,</span> <span class="nt">bd</span>
<span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(&quot;Arrival Base (2 to 36): &quot;)&#39;</span><span class="o">,</span><span class="nt">advance</span><span class="o">=</span><span class="s1">&#39;no&#39;</span><span class="o">);</span> <span class="nt">read</span> <span class="o">*,</span> <span class="nt">ba</span>
<span class="nt">INFINITE</span><span class="o">:</span> <span class="nt">do</span>
   <span class="nt">print</span> <span class="o">*,</span><span class="s1">&#39;&#39;</span>
   <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(&quot;Enter number in start base: &quot;)&#39;</span><span class="o">,</span><span class="nt">advance</span><span class="o">=</span><span class="s1">&#39;no&#39;</span><span class="o">);</span> <span class="nt">read</span> <span class="o">*,</span> <span class="nt">x</span>
   <span class="nt">if</span><span class="o">(</span><span class="nt">x</span><span class="p">.</span><span class="nc">eq</span><span class="o">.</span><span class="s1">&#39;0&#39;</span><span class="o">)</span> <span class="nt">exit</span> <span class="nt">INFINITE</span>
   <span class="nt">if</span><span class="o">(</span><span class="nt">decodebase</span><span class="o">(</span><span class="nt">x</span><span class="o">,</span><span class="nt">bd</span><span class="o">,</span><span class="nt">r</span><span class="o">))</span> <span class="nt">then</span>
      <span class="nt">if</span><span class="o">(</span><span class="nt">codebase</span><span class="o">(</span><span class="nt">r</span><span class="o">,</span><span class="nt">ba</span><span class="o">,</span><span class="nt">y</span><span class="o">))</span> <span class="nt">then</span>
        <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(&quot;In base &quot;,I2,&quot;: &quot;,A20)&#39;</span><span class="o">)</span>  <span class="nt">ba</span><span class="o">,</span> <span class="nt">y</span>
      <span class="nt">else</span>
        <span class="nt">print</span> <span class="o">*,</span><span class="s1">&#39;Error in coding number.&#39;</span>
      <span class="nt">endif</span>
   <span class="nt">else</span>
      <span class="nt">print</span> <span class="o">*,</span><span class="s1">&#39;Error in decoding number.&#39;</span>
   <span class="nt">endif</span>
<span class="nt">enddo</span> <span class="nt">INFINITE</span>

<span class="nt">end</span> <span class="nt">program</span> <span class="nt">demo_decodebase</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-string%7E14"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>string</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-basein"></span>integer,</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>basein</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-out10"></span>integer,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>out10</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-decodebase"></span>logical
  </small></h3>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~decodebase~~CallsGraph Pages: 1 -->
<svg id="procdecodebaseCallsGraph" width="641pt" height="130pt"
 viewBox="0.00 0.00 641.00 130.18" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~decodebase~~CallsGraph" class="graph" transform="scale(.8239 .8239) rotate(0) translate(4 154)">
<title>proc~~decodebase~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 774,-154 774,4 -4,4"/>
<!-- proc~decodebase -->
<g id="proc~~decodebase~~CallsGraph_node1" class="node">
<title>proc~decodebase</title>
<polygon fill="none" stroke="#000000" points="71,-67 0,-67 0,-43 71,-43 71,-67"/>
<text text-anchor="middle" x="35.5" y="-52.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">decodebase</text>
</g>
<!-- interface~string_to_value -->
<g id="proc~~decodebase~~CallsGraph_node2" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~decodebase~~CallsGraph_node2"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="192,-108 107,-108 107,-84 192,-84 192,-108"/>
<text text-anchor="middle" x="149.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~decodebase~~CallsGraph_edge1" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M69.0872,-67.0796C80.6958,-71.2546 93.8725,-75.9936 106.1513,-80.4097"/>
<polygon fill="#000000" stroke="#000000" points="105.1645,-83.7742 115.759,-83.8651 107.5335,-77.1872 105.1645,-83.7742"/>
</g>
<!-- proc~a2d -->
<g id="proc~~decodebase~~CallsGraph_node3" class="node">
<title>proc~a2d</title>
<g id="a_proc~~decodebase~~CallsGraph_node3"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="372,-108 318,-108 318,-84 372,-84 372,-108"/>
<text text-anchor="middle" x="345" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~decodebase~~CallsGraph_edge4" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M166.2573,-108.1331C181.502,-118.3703 205.0614,-132.2492 228,-138 251.2796,-143.8362 259.0298,-144.9548 282,-138 297.239,-133.386 312.161,-123.7358 323.6546,-114.8481"/>
<polygon fill="#000000" stroke="#000000" points="326.1668,-117.3167 331.7239,-108.2962 321.7544,-111.8824 326.1668,-117.3167"/>
</g>
<!-- proc~a2i -->
<g id="proc~~decodebase~~CallsGraph_node4" class="node">
<title>proc~a2i</title>
<g id="a_proc~~decodebase~~CallsGraph_node4"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="282,-129 228,-129 228,-105 282,-105 282,-129"/>
<text text-anchor="middle" x="255" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~decodebase~~CallsGraph_edge3" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M192.1068,-104.481C200.6447,-106.1805 209.5511,-107.9533 217.8851,-109.6122"/>
<polygon fill="#000000" stroke="#000000" points="217.2127,-113.0469 227.7036,-111.5666 218.5793,-106.1816 217.2127,-113.0469"/>
</g>
<!-- proc~a2r -->
<g id="proc~~decodebase~~CallsGraph_node5" class="node">
<title>proc~a2r</title>
<g id="a_proc~~decodebase~~CallsGraph_node5"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="282,-87 228,-87 228,-63 282,-63 282,-87"/>
<text text-anchor="middle" x="255" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~decodebase~~CallsGraph_edge2" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M192.1068,-87.519C200.6447,-85.8195 209.5511,-84.0467 217.8851,-82.3878"/>
<polygon fill="#000000" stroke="#000000" points="218.5793,-85.8184 227.7036,-80.4334 217.2127,-78.9531 218.5793,-85.8184"/>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~decodebase~~CallsGraph_edge6" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M331.7239,-83.7038C319.7477,-73.5111 301.1234,-59.7901 282,-54 214.3665,-33.5222 131.4272,-39.8775 81.0656,-46.97"/>
<polygon fill="#000000" stroke="#000000" points="80.517,-43.5129 71.1364,-48.4378 81.5408,-50.4377 80.517,-43.5129"/>
</g>
<!-- proc~substitute -->
<g id="proc~~decodebase~~CallsGraph_node6" class="node">
<title>proc~substitute</title>
<g id="a_proc~~decodebase~~CallsGraph_node6"><a xlink:href=".././proc/substitute.html" xlink:title="substitute">
<polygon fill="#d9534f" stroke="#d9534f" points="466,-129 408,-129 408,-105 466,-105 466,-129"/>
<text text-anchor="middle" x="437" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">substitute</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~substitute -->
<g id="proc~~decodebase~~CallsGraph_edge5" class="edge">
<title>proc~a2d&#45;&gt;proc~substitute</title>
<path fill="none" stroke="#000000" d="M372.1054,-102.1871C380.1818,-104.0306 389.1988,-106.0888 397.8811,-108.0707"/>
<polygon fill="#000000" stroke="#000000" points="397.3151,-111.5314 407.8432,-110.3447 398.8729,-104.707 397.3151,-111.5314"/>
</g>
<!-- interface~v2s -->
<g id="proc~~decodebase~~CallsGraph_node7" class="node">
<title>interface~v2s</title>
<g id="a_proc~~decodebase~~CallsGraph_node7"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="464,-87 410,-87 410,-63 464,-63 464,-87"/>
<text text-anchor="middle" x="437" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;interface~v2s -->
<g id="proc~~decodebase~~CallsGraph_edge7" class="edge">
<title>proc~a2d&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M372.1054,-89.8129C380.8245,-87.8227 390.6397,-85.5822 399.9467,-83.4578"/>
<polygon fill="#000000" stroke="#000000" points="400.8,-86.8531 409.7704,-81.2155 399.2422,-80.0287 400.8,-86.8531"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~decodebase~~CallsGraph_edge8" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M282.003,-110.6993C290.1158,-108.8063 299.1631,-106.6953 307.8131,-104.677"/>
<polygon fill="#000000" stroke="#000000" points="308.7619,-108.0496 317.705,-102.3688 307.1713,-101.2328 308.7619,-108.0496"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~decodebase~~CallsGraph_edge9" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M282.003,-81.3007C290.1158,-83.1937 299.1631,-85.3047 307.8131,-87.323"/>
<polygon fill="#000000" stroke="#000000" points="307.1713,-90.7672 317.705,-89.6312 308.7619,-83.9504 307.1713,-90.7672"/>
</g>
<!-- proc~l2s -->
<g id="proc~~decodebase~~CallsGraph_node8" class="node">
<title>proc~l2s</title>
<g id="a_proc~~decodebase~~CallsGraph_node8"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="556,-150 502,-150 502,-126 556,-126 556,-150"/>
<text text-anchor="middle" x="529" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="proc~~decodebase~~CallsGraph_edge10" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M454.7385,-87.147C468.3569,-96.4726 487.3708,-109.4931 502.7495,-120.0241"/>
<polygon fill="#000000" stroke="#000000" points="501.0875,-123.128 511.3159,-125.8903 505.0426,-117.3524 501.0875,-123.128"/>
</g>
<!-- proc~r2s -->
<g id="proc~~decodebase~~CallsGraph_node9" class="node">
<title>proc~r2s</title>
<g id="a_proc~~decodebase~~CallsGraph_node9"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="556,-108 502,-108 502,-84 556,-84 556,-108"/>
<text text-anchor="middle" x="529" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="proc~~decodebase~~CallsGraph_edge11" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M464.1054,-81.1871C472.8245,-83.1773 482.6397,-85.4178 491.9467,-87.5422"/>
<polygon fill="#000000" stroke="#000000" points="491.2422,-90.9713 501.7704,-89.7845 492.8,-84.1469 491.2422,-90.9713"/>
</g>
<!-- proc~i2s -->
<g id="proc~~decodebase~~CallsGraph_node10" class="node">
<title>proc~i2s</title>
<g id="a_proc~~decodebase~~CallsGraph_node10"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="556,-66 502,-66 502,-42 556,-42 556,-66"/>
<text text-anchor="middle" x="529" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="proc~~decodebase~~CallsGraph_edge12" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M464.1054,-68.8129C472.8245,-66.8227 482.6397,-64.5822 491.9467,-62.4578"/>
<polygon fill="#000000" stroke="#000000" points="492.8,-65.8531 501.7704,-60.2155 491.2422,-59.0287 492.8,-65.8531"/>
</g>
<!-- proc~d2s -->
<g id="proc~~decodebase~~CallsGraph_node11" class="node">
<title>proc~d2s</title>
<g id="a_proc~~decodebase~~CallsGraph_node11"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="556,-24 502,-24 502,0 556,0 556,-24"/>
<text text-anchor="middle" x="529" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="proc~~decodebase~~CallsGraph_edge13" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M454.7385,-62.853C468.3569,-53.5274 487.3708,-40.5069 502.7495,-29.9759"/>
<polygon fill="#000000" stroke="#000000" points="505.0426,-32.6476 511.3159,-24.1097 501.0875,-26.872 505.0426,-32.6476"/>
</g>
<!-- proc~value_to_string -->
<g id="proc~~decodebase~~CallsGraph_node12" class="node">
<title>proc~value_to_string</title>
<g id="a_proc~~decodebase~~CallsGraph_node12"><a xlink:href=".././proc/value_to_string.html" xlink:title="value_to_string">
<polygon fill="#d9534f" stroke="#d9534f" points="677,-87 592,-87 592,-63 677,-63 677,-87"/>
<text text-anchor="middle" x="634.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_to_string</text>
</a>
</g>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="proc~~decodebase~~CallsGraph_edge14" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M549.3415,-125.853C565.2501,-116.353 587.5794,-103.0189 605.382,-92.388"/>
<polygon fill="#000000" stroke="#000000" points="607.4298,-95.2418 614.221,-87.1097 603.8408,-89.2318 607.4298,-95.2418"/>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="proc~~decodebase~~CallsGraph_edge15" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M556.1689,-90.592C564.0647,-89.0203 572.9694,-87.2478 581.8697,-85.4762"/>
<polygon fill="#000000" stroke="#000000" points="582.7381,-88.8721 591.8623,-83.4871 581.3714,-82.0068 582.7381,-88.8721"/>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="proc~~decodebase~~CallsGraph_edge16" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M556.1689,-59.408C564.0647,-60.9797 572.9694,-62.7522 581.8697,-64.5238"/>
<polygon fill="#000000" stroke="#000000" points="581.3714,-67.9932 591.8623,-66.5129 582.7381,-61.1279 581.3714,-67.9932"/>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="proc~~decodebase~~CallsGraph_edge17" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M549.3415,-24.147C565.2501,-33.647 587.5794,-46.9811 605.382,-57.612"/>
<polygon fill="#000000" stroke="#000000" points="603.8408,-60.7682 614.221,-62.8903 607.4298,-54.7582 603.8408,-60.7682"/>
</g>
<!-- proc~trimzeros -->
<g id="proc~~decodebase~~CallsGraph_node13" class="node">
<title>proc~trimzeros</title>
<g id="a_proc~~decodebase~~CallsGraph_node13"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="770,-87 713,-87 713,-63 770,-63 770,-87"/>
<text text-anchor="middle" x="741.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="proc~~decodebase~~CallsGraph_edge18" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M677.0967,-75C685.538,-75 694.3576,-75 702.6658,-75"/>
<polygon fill="#000000" stroke="#000000" points="702.8491,-78.5001 712.849,-75 702.849,-71.5001 702.8491,-78.5001"/>
</g>
</g>
</svg>
</div><script>var panprocdecodebaseCallsGraph = svgPanZoom('#procdecodebaseCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~decodebase~~CalledByGraph Pages: 1 -->
<svg id="procdecodebaseCalledByGraph" width="490pt" height="368pt"
 viewBox="0.00 0.00 490.00 368.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~decodebase~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 364)">
<title>proc~~decodebase~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-364 486,-364 486,4 -4,4"/>
<!-- proc~decodebase -->
<g id="proc~~decodebase~~CalledByGraph_node1" class="node">
<title>proc~decodebase</title>
<polygon fill="none" stroke="#000000" points="171,-24 100,-24 100,0 171,0 171,-24"/>
<text text-anchor="middle" x="135.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">decodebase</text>
</g>
<!-- interface~string_to_value -->
<g id="proc~~decodebase~~CalledByGraph_node5" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~decodebase~~CalledByGraph_node5"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="302,-86 217,-86 217,-62 302,-62 302,-86"/>
<text text-anchor="middle" x="259.5" y="-71.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~decodebase~~CalledByGraph_edge13" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M162.5497,-24.2203C168.6453,-27.0474 175.0661,-30.0832 181,-33 196.6203,-40.6782 213.7759,-49.5829 228.0547,-57.1281"/>
<polygon fill="#000000" stroke="#000000" points="226.5035,-60.2672 236.9774,-61.8635 229.785,-54.084 226.5035,-60.2672"/>
</g>
<!-- proc~base -->
<g id="proc~~decodebase~~CalledByGraph_node2" class="node">
<title>proc~base</title>
<g id="a_proc~~decodebase~~CalledByGraph_node2"><a xlink:href=".././proc/base.html" xlink:title="base">
<polygon fill="#d94e8f" stroke="#d94e8f" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">base</text>
</a>
</g>
</g>
<!-- proc~base&#45;&gt;proc~decodebase -->
<g id="proc~~decodebase~~CalledByGraph_edge1" class="edge">
<title>proc~base&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M54.0992,-12C64.8874,-12 77.6056,-12 89.7423,-12"/>
<polygon fill="#000000" stroke="#000000" points="89.7453,-15.5001 99.7452,-12 89.7452,-8.5001 89.7453,-15.5001"/>
</g>
<!-- proc~a2d -->
<g id="proc~~decodebase~~CalledByGraph_node3" class="node">
<title>proc~a2d</title>
<g id="a_proc~~decodebase~~CalledByGraph_node3"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="482,-106 428,-106 428,-82 482,-82 482,-106"/>
<text text-anchor="middle" x="455" y="-91.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~decodebase~~CalledByGraph_edge2" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M447.0986,-81.9423C436.5455,-66.9991 416.3272,-42.1472 392,-31 323.6872,.3023 234.3495,-1.3384 181.1468,-6.138"/>
<polygon fill="#000000" stroke="#000000" points="180.6162,-2.6731 171.005,-7.1312 181.2985,-9.6398 180.6162,-2.6731"/>
</g>
<!-- proc~s2v -->
<g id="proc~~decodebase~~CalledByGraph_node4" class="node">
<title>proc~s2v</title>
<g id="a_proc~~decodebase~~CalledByGraph_node4"><a xlink:href=".././proc/s2v.html" xlink:title="s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="392,-234 338,-234 338,-210 392,-210 392,-234"/>
<text text-anchor="middle" x="365" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2v</text>
</a>
</g>
</g>
<!-- proc~s2v&#45;&gt;proc~a2d -->
<g id="proc~~decodebase~~CalledByGraph_edge3" class="edge">
<title>proc~s2v&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M373.6296,-209.7268C389.1246,-187.6894 421.8039,-141.2123 440.6948,-114.3452"/>
<polygon fill="#000000" stroke="#000000" points="443.6393,-116.2426 446.528,-106.0491 437.913,-112.2163 443.6393,-116.2426"/>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~decodebase~~CalledByGraph_edge6" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M276.6026,-86.044C291.8843,-96.0201 315.303,-109.4297 338,-115 364.5373,-121.5127 394.9223,-115.6709 418.0758,-108.5121"/>
<polygon fill="#000000" stroke="#000000" points="419.4475,-111.745 427.8437,-105.2832 417.2505,-105.0987 419.4475,-111.745"/>
</g>
<!-- proc~a2i -->
<g id="proc~~decodebase~~CalledByGraph_node6" class="node">
<title>proc~a2i</title>
<g id="a_proc~~decodebase~~CalledByGraph_node6"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="392,-106 338,-106 338,-82 392,-82 392,-106"/>
<text text-anchor="middle" x="365" y="-91.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~decodebase~~CalledByGraph_edge16" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M302.1068,-82.0771C310.5509,-83.6779 319.3554,-85.347 327.6101,-86.9119"/>
<polygon fill="#000000" stroke="#000000" points="327.2266,-90.4014 337.7036,-88.8253 328.5305,-83.5239 327.2266,-90.4014"/>
</g>
<!-- proc~a2r -->
<g id="proc~~decodebase~~CalledByGraph_node7" class="node">
<title>proc~a2r</title>
<g id="a_proc~~decodebase~~CalledByGraph_node7"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="392,-64 338,-64 338,-40 392,-40 392,-64"/>
<text text-anchor="middle" x="365" y="-49.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~decodebase~~CalledByGraph_edge17" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M302.1068,-65.1152C310.6447,-63.3347 319.5511,-61.4775 327.8851,-59.7396"/>
<polygon fill="#000000" stroke="#000000" points="328.6287,-63.1599 337.7036,-57.6921 327.1996,-56.3073 328.6287,-63.1599"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~decodebase~~CalledByGraph_edge4" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M392.003,-94C400.0277,-94 408.9665,-94 417.5309,-94"/>
<polygon fill="#000000" stroke="#000000" points="417.7051,-97.5001 427.705,-94 417.705,-90.5001 417.7051,-97.5001"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~decodebase~~CalledByGraph_edge5" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M391.0317,-64.1481C399.987,-68.3273 410.1691,-73.0789 419.7348,-77.5429"/>
<polygon fill="#000000" stroke="#000000" points="418.4848,-80.8219 429.0268,-81.8792 421.4451,-74.4786 418.4848,-80.8219"/>
</g>
<!-- proc~dble_s2v -->
<g id="proc~~decodebase~~CalledByGraph_node8" class="node">
<title>proc~dble_s2v</title>
<g id="a_proc~~decodebase~~CalledByGraph_node8"><a xlink:href=".././proc/dble_s2v.html" xlink:title="dble_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="287,-360 232,-360 232,-336 287,-336 287,-360"/>
<text text-anchor="middle" x="259.5" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble_s2v</text>
</a>
</g>
</g>
<!-- proc~dble_s2v&#45;&gt;proc~s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge7" class="edge">
<title>proc~dble_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M287.0527,-337.2729C292.3746,-334.434 297.6427,-331.0159 302,-327 327.736,-303.2802 346.4261,-266.6421 356.4887,-243.5119"/>
<polygon fill="#000000" stroke="#000000" points="359.7471,-244.792 360.384,-234.2163 353.291,-242.0865 359.7471,-244.792"/>
</g>
<!-- proc~dbles_s2v -->
<g id="proc~~decodebase~~CalledByGraph_node9" class="node">
<title>proc~dbles_s2v</title>
<g id="a_proc~~decodebase~~CalledByGraph_node9"><a xlink:href=".././proc/dbles_s2v.html" xlink:title="dbles_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="290,-318 229,-318 229,-294 290,-294 290,-318"/>
<text text-anchor="middle" x="259.5" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dbles_s2v</text>
</a>
</g>
</g>
<!-- proc~dbles_s2v&#45;&gt;proc~s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge8" class="edge">
<title>proc~dbles_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M287.2391,-293.9349C292.3218,-291.2721 297.4522,-288.2616 302,-285 319.2792,-272.6077 336.1674,-255.358 348.1019,-242.041"/>
<polygon fill="#000000" stroke="#000000" points="350.8949,-244.1643 354.8519,-234.3362 345.6297,-239.5516 350.8949,-244.1643"/>
</g>
<!-- proc~reals_s2v -->
<g id="proc~~decodebase~~CalledByGraph_node10" class="node">
<title>proc~reals_s2v</title>
<g id="a_proc~~decodebase~~CalledByGraph_node10"><a xlink:href=".././proc/reals_s2v.html" xlink:title="reals_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="288.5,-276 230.5,-276 230.5,-252 288.5,-252 288.5,-276"/>
<text text-anchor="middle" x="259.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">reals_s2v</text>
</a>
</g>
</g>
<!-- proc~reals_s2v&#45;&gt;proc~s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge9" class="edge">
<title>proc~reals_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M288.6076,-252.4121C300.8554,-247.5363 315.2471,-241.8068 328.217,-236.6435"/>
<polygon fill="#000000" stroke="#000000" points="329.8027,-239.7794 337.799,-232.8288 327.2136,-233.2758 329.8027,-239.7794"/>
</g>
<!-- proc~string_to_values -->
<g id="proc~~decodebase~~CalledByGraph_node11" class="node">
<title>proc~string_to_values</title>
<g id="a_proc~~decodebase~~CalledByGraph_node11"><a xlink:href=".././proc/string_to_values.html" xlink:title="string_to_values">
<polygon fill="#d9534f" stroke="#d9534f" points="181,-108 90,-108 90,-84 181,-84 181,-108"/>
<text text-anchor="middle" x="135.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_values</text>
</a>
</g>
</g>
<!-- proc~string_to_values&#45;&gt;interface~string_to_value -->
<g id="proc~~decodebase~~CalledByGraph_edge15" class="edge">
<title>proc~string_to_values&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M181.3207,-87.8705C189.5607,-86.4086 198.2107,-84.8739 206.6309,-83.38"/>
<polygon fill="#000000" stroke="#000000" points="207.5101,-86.7788 216.7449,-81.5856 206.2872,-79.8864 207.5101,-86.7788"/>
</g>
<!-- proc~real_s2v -->
<g id="proc~~decodebase~~CalledByGraph_node12" class="node">
<title>proc~real_s2v</title>
<g id="a_proc~~decodebase~~CalledByGraph_node12"><a xlink:href=".././proc/real_s2v.html" xlink:title="real_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="286.5,-234 232.5,-234 232.5,-210 286.5,-210 286.5,-234"/>
<text text-anchor="middle" x="259.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real_s2v</text>
</a>
</g>
</g>
<!-- proc~real_s2v&#45;&gt;proc~s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge10" class="edge">
<title>proc~real_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M286.6689,-222C299.2209,-222 314.3227,-222 327.9026,-222"/>
<polygon fill="#000000" stroke="#000000" points="327.9232,-225.5001 337.9232,-222 327.9232,-218.5001 327.9232,-225.5001"/>
</g>
<!-- proc~int_s2v -->
<g id="proc~~decodebase~~CalledByGraph_node13" class="node">
<title>proc~int_s2v</title>
<g id="a_proc~~decodebase~~CalledByGraph_node13"><a xlink:href=".././proc/int_s2v.html" xlink:title="int_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="286.5,-192 232.5,-192 232.5,-168 286.5,-168 286.5,-192"/>
<text text-anchor="middle" x="259.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int_s2v</text>
</a>
</g>
</g>
<!-- proc~int_s2v&#45;&gt;proc~s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge11" class="edge">
<title>proc~int_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M286.6689,-190.816C299.344,-195.862 314.6191,-201.9431 328.3016,-207.3902"/>
<polygon fill="#000000" stroke="#000000" points="327.3378,-210.7736 337.9232,-211.2206 329.9269,-204.27 327.3378,-210.7736"/>
</g>
<!-- proc~ints_s2v -->
<g id="proc~~decodebase~~CalledByGraph_node14" class="node">
<title>proc~ints_s2v</title>
<g id="a_proc~~decodebase~~CalledByGraph_node14"><a xlink:href=".././proc/ints_s2v.html" xlink:title="ints_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="286.5,-150 232.5,-150 232.5,-126 286.5,-126 286.5,-150"/>
<text text-anchor="middle" x="259.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">ints_s2v</text>
</a>
</g>
</g>
<!-- proc~ints_s2v&#45;&gt;proc~s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge12" class="edge">
<title>proc~ints_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M286.7908,-149.8311C292.0195,-152.551 297.3185,-155.6425 302,-159 319.2792,-171.3923 336.1674,-188.642 348.1019,-201.959"/>
<polygon fill="#000000" stroke="#000000" points="345.6297,-204.4484 354.8519,-209.6638 350.8949,-199.8357 345.6297,-204.4484"/>
</g>
<!-- proc~s2vs -->
<g id="proc~~decodebase~~CalledByGraph_node15" class="node">
<title>proc~s2vs</title>
<g id="a_proc~~decodebase~~CalledByGraph_node15"><a xlink:href=".././proc/s2vs.html" xlink:title="s2vs">
<polygon fill="#d94e8f" stroke="#d94e8f" points="162.5,-66 108.5,-66 108.5,-42 162.5,-42 162.5,-66"/>
<text text-anchor="middle" x="135.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2vs</text>
</a>
</g>
</g>
<!-- proc~s2vs&#45;&gt;interface~string_to_value -->
<g id="proc~~decodebase~~CalledByGraph_edge14" class="edge">
<title>proc~s2vs&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M162.7123,-58.3891C175.5716,-60.4632 191.3828,-63.0134 206.4701,-65.4468"/>
<polygon fill="#000000" stroke="#000000" points="206.3246,-68.9685 216.7544,-67.1055 207.4393,-62.0578 206.3246,-68.9685"/>
</g>
<!-- interface~real~2 -->
<g id="proc~~decodebase~~CalledByGraph_node16" class="node">
<title>interface~real~2</title>
<g id="a_proc~~decodebase~~CalledByGraph_node16"><a xlink:href=".././interface/real%7E2.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="162.5,-276 108.5,-276 108.5,-252 162.5,-252 162.5,-276"/>
<text text-anchor="middle" x="135.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real~2&#45;&gt;proc~reals_s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge20" class="edge">
<title>interface~real~2&#45;&gt;proc~reals_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M162.7123,-264C179.555,-264 201.4618,-264 220.1733,-264"/>
<polygon fill="#000000" stroke="#000000" points="220.1874,-267.5001 230.1874,-264 220.1873,-260.5001 220.1874,-267.5001"/>
</g>
<!-- interface~dble -->
<g id="proc~~decodebase~~CalledByGraph_node17" class="node">
<title>interface~dble</title>
<g id="a_proc~~decodebase~~CalledByGraph_node17"><a xlink:href=".././interface/dble.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="162.5,-360 108.5,-360 108.5,-336 162.5,-336 162.5,-360"/>
<text text-anchor="middle" x="135.5" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble&#45;&gt;proc~dble_s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge18" class="edge">
<title>interface~dble&#45;&gt;proc~dble_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M162.7123,-348C180.0362,-348 202.7178,-348 221.7691,-348"/>
<polygon fill="#000000" stroke="#000000" points="221.9227,-351.5001 231.9226,-348 221.9226,-344.5001 221.9227,-351.5001"/>
</g>
<!-- interface~int~2 -->
<g id="proc~~decodebase~~CalledByGraph_node18" class="node">
<title>interface~int~2</title>
<g id="a_proc~~decodebase~~CalledByGraph_node18"><a xlink:href=".././interface/int%7E2.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="162.5,-150 108.5,-150 108.5,-126 162.5,-126 162.5,-150"/>
<text text-anchor="middle" x="135.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int~2&#45;&gt;proc~ints_s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge23" class="edge">
<title>interface~int~2&#45;&gt;proc~ints_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M162.7123,-138C180.1566,-138 203.0331,-138 222.1655,-138"/>
<polygon fill="#000000" stroke="#000000" points="222.3512,-141.5001 232.3512,-138 222.3511,-134.5001 222.3512,-141.5001"/>
</g>
<!-- interface~real -->
<g id="proc~~decodebase~~CalledByGraph_node19" class="node">
<title>interface~real</title>
<g id="a_proc~~decodebase~~CalledByGraph_node19"><a xlink:href=".././interface/real.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="162.5,-234 108.5,-234 108.5,-210 162.5,-210 162.5,-234"/>
<text text-anchor="middle" x="135.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real&#45;&gt;proc~real_s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge21" class="edge">
<title>interface~real&#45;&gt;proc~real_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M162.7123,-222C180.1566,-222 203.0331,-222 222.1655,-222"/>
<polygon fill="#000000" stroke="#000000" points="222.3512,-225.5001 232.3512,-222 222.3511,-218.5001 222.3512,-225.5001"/>
</g>
<!-- interface~dble~2 -->
<g id="proc~~decodebase~~CalledByGraph_node20" class="node">
<title>interface~dble~2</title>
<g id="a_proc~~decodebase~~CalledByGraph_node20"><a xlink:href=".././interface/dble%7E2.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="162.5,-318 108.5,-318 108.5,-294 162.5,-294 162.5,-318"/>
<text text-anchor="middle" x="135.5" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble~2&#45;&gt;proc~dbles_s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge19" class="edge">
<title>interface~dble~2&#45;&gt;proc~dbles_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M162.7123,-306C179.1178,-306 200.3279,-306 218.7098,-306"/>
<polygon fill="#000000" stroke="#000000" points="218.8645,-309.5001 228.8645,-306 218.8644,-302.5001 218.8645,-309.5001"/>
</g>
<!-- interface~int -->
<g id="proc~~decodebase~~CalledByGraph_node21" class="node">
<title>interface~int</title>
<g id="a_proc~~decodebase~~CalledByGraph_node21"><a xlink:href=".././interface/int.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="162.5,-192 108.5,-192 108.5,-168 162.5,-168 162.5,-192"/>
<text text-anchor="middle" x="135.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int&#45;&gt;proc~int_s2v -->
<g id="proc~~decodebase~~CalledByGraph_edge22" class="edge">
<title>interface~int&#45;&gt;proc~int_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M162.7123,-180C180.1566,-180 203.0331,-180 222.1655,-180"/>
<polygon fill="#000000" stroke="#000000" points="222.3512,-183.5001 232.3512,-180 222.3511,-176.5001 222.3512,-183.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>